// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		1A257CC923A867EF00A4A2C8 /* IMCore.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1A257CC823A867EF00A4A2C8 /* IMCore.framework */; };
		1A257CCB23A8681200A4A2C8 /* Security.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1A257CCA23A8681200A4A2C8 /* Security.framework */; };
		1AA43E8F219EBB2D00EDF1A7 /* MBIMJSONDataResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1AA43E8E219EBB2D00EDF1A7 /* MBIMJSONDataResponse.m */; };
		1AA43E91219EBC2C00EDF1A7 /* MBIMHTTPConnection.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCFE3219EB45300E2C237 /* MBIMHTTPConnection.m */; };
		1AA43E95219EC38E00EDF1A7 /* MBIMHTTPUtilities.m in Sources */ = {isa = PBXBuildFile; fileRef = 1AA43E94219EC38E00EDF1A7 /* MBIMHTTPUtilities.m */; };
		1AAB32B121F82EB7004A2A72 /* MBIMLogging.m in Sources */ = {isa = PBXBuildFile; fileRef = 1AAB32B021F82EB7004A2A72 /* MBIMLogging.m */; };
		1AAB32B421F837BB004A2A72 /* hookAgent.sh in CopyFiles */ = {isa = PBXBuildFile; fileRef = CD83E1B5219BF78E00F4CCEA /* hookAgent.sh */; };
		1ACFCF30219EB2AC00E2C237 /* HTTPErrorResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE07219EB2AB00E2C237 /* HTTPErrorResponse.m */; };
		1ACFCF31219EB2AC00E2C237 /* HTTPDataResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE08219EB2AB00E2C237 /* HTTPDataResponse.m */; };
		1ACFCF33219EB2AC00E2C237 /* HTTPDynamicFileResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE0A219EB2AB00E2C237 /* HTTPDynamicFileResponse.m */; };
		1ACFCF34219EB2AC00E2C237 /* HTTPFileResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE0B219EB2AB00E2C237 /* HTTPFileResponse.m */; };
		1ACFCF35219EB2AC00E2C237 /* HTTPAsyncFileResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE0C219EB2AB00E2C237 /* HTTPAsyncFileResponse.m */; };
		1ACFCF36219EB2AC00E2C237 /* HTTPRedirectResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE0D219EB2AB00E2C237 /* HTTPRedirectResponse.m */; };
		1ACFCF3C219EB2AC00E2C237 /* HTTPMessage.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE13219EB2AB00E2C237 /* HTTPMessage.m */; };
		1ACFCF3D219EB2AC00E2C237 /* HTTPConnection.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE14219EB2AB00E2C237 /* HTTPConnection.m */; };
		1ACFCF3E219EB2AC00E2C237 /* WebSocket.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE15219EB2AB00E2C237 /* WebSocket.m */; };
		1ACFCF42219EB2AC00E2C237 /* MultipartMessageHeaderField.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE1A219EB2AB00E2C237 /* MultipartMessageHeaderField.m */; };
		1ACFCF43219EB2AC00E2C237 /* MultipartFormDataParser.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE1B219EB2AB00E2C237 /* MultipartFormDataParser.m */; };
		1ACFCF44219EB2AC00E2C237 /* MultipartMessageHeader.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE1C219EB2AB00E2C237 /* MultipartMessageHeader.m */; };
		1ACFCF46219EB2AC00E2C237 /* HTTPAuthenticationRequest.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE1E219EB2AB00E2C237 /* HTTPAuthenticationRequest.m */; };
		1ACFCF47219EB2AC00E2C237 /* DDNumber.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE20219EB2AB00E2C237 /* DDNumber.m */; };
		1ACFCF48219EB2AC00E2C237 /* DDData.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE21219EB2AB00E2C237 /* DDData.m */; };
		1ACFCF4B219EB2AC00E2C237 /* DDRange.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE24219EB2AB00E2C237 /* DDRange.m */; };
		1ACFCF4D219EB2AC00E2C237 /* HTTPServer.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCE26219EB2AB00E2C237 /* HTTPServer.m */; };
		1ACFCFCA219EB2AC00E2C237 /* DDTTYLogger.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF09219EB2AC00E2C237 /* DDTTYLogger.m */; };
		1ACFCFCD219EB2AC00E2C237 /* DDASLLogger.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF0C219EB2AC00E2C237 /* DDASLLogger.m */; };
		1ACFCFD1219EB2AC00E2C237 /* ContextFilterLogFormatter.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF11219EB2AC00E2C237 /* ContextFilterLogFormatter.m */; };
		1ACFCFD2219EB2AC00E2C237 /* DispatchQueueLogFormatter.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF12219EB2AC00E2C237 /* DispatchQueueLogFormatter.m */; };
		1ACFCFD4219EB2AC00E2C237 /* DDLog.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF14219EB2AC00E2C237 /* DDLog.m */; };
		1ACFCFD7219EB2AC00E2C237 /* DDAbstractDatabaseLogger.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF17219EB2AC00E2C237 /* DDAbstractDatabaseLogger.m */; };
		1ACFCFD8219EB2AC00E2C237 /* DDFileLogger.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF18219EB2AC00E2C237 /* DDFileLogger.m */; };
		1ACFCFDA219EB2AC00E2C237 /* GCDAsyncSocket.m in Sources */ = {isa = PBXBuildFile; fileRef = 1ACFCF1B219EB2AC00E2C237 /* GCDAsyncSocket.m */; };
		1ACFCFDF219EB31400E2C237 /* libCocoaHTTPServer.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 1ACFCDE2219EB28A00E2C237 /* libCocoaHTTPServer.a */; };
		1AD8936E21EFD986009B599A /* MBIMUploadAttachmentOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = 1AD8936D21EFD986009B599A /* MBIMUploadAttachmentOperation.m */; };
		CD14F18E219E2DB400E7DD22 /* CryptoTests.m in Sources */ = {isa = PBXBuildFile; fileRef = CD14F18D219E2DB400E7DD22 /* CryptoTests.m */; };
		CD14F1A1219FE7D600E7DD22 /* MBIMUpdatePollOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD14F1A0219FE7D600E7DD22 /* MBIMUpdatePollOperation.m */; };
		CD14F1A4219FF22700E7DD22 /* IMMessageItem+Encoded.m in Sources */ = {isa = PBXBuildFile; fileRef = CD14F1A3219FF22700E7DD22 /* IMMessageItem+Encoded.m */; };
		CD14F1AA219FF3B800E7DD22 /* MBIMUpdateQueue.m in Sources */ = {isa = PBXBuildFile; fileRef = CD14F1A9219FF3B800E7DD22 /* MBIMUpdateQueue.m */; };
		CD14F1AD219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.m in Sources */ = {isa = PBXBuildFile; fileRef = CD14F1AC219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.m */; };
		CD2782BC29527FE500C0C030 /* IMSharedUtilities.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = CD2782BB29527FE500C0C030 /* IMSharedUtilities.framework */; };
		CD2782BF2952832B00C0C030 /* MBIMImageUtils.m in Sources */ = {isa = PBXBuildFile; fileRef = CD2782BE2952832B00C0C030 /* MBIMImageUtils.m */; };
		CD2782FE2952875F00C0C030 /* CoreGraphics.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = CD2782FD2952875F00C0C030 /* CoreGraphics.framework */; };
		CD2783002952876700C0C030 /* ImageIO.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = CD2782FF2952876700C0C030 /* ImageIO.framework */; };
		CD2ECEC2269539100055E302 /* MBIMAuthenticateOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD2ECEC1269539100055E302 /* MBIMAuthenticateOperation.m */; };
		CD2ECEC526953F2A0055E302 /* MBIMAuthToken.m in Sources */ = {isa = PBXBuildFile; fileRef = CD2ECEC426953F2A0055E302 /* MBIMAuthToken.m */; };
		CD3F62B1297769F2004305D9 /* MBIMURLUtilities.m in Sources */ = {isa = PBXBuildFile; fileRef = CD3F62B0297769F2004305D9 /* MBIMURLUtilities.m */; };
		CD602056219B5DFD0024D9C5 /* MBIMBridgeOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD602055219B5DFD0024D9C5 /* MBIMBridgeOperation.m */; };
		CD60205C219B623F0024D9C5 /* MBIMMessagesListOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD60205B219B623F0024D9C5 /* MBIMMessagesListOperation.m */; };
		CD60205F219B674B0024D9C5 /* MBIMConversationListOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD60205E219B674B0024D9C5 /* MBIMConversationListOperation.m */; };
		CD602062219B68950024D9C5 /* MBIMSendMessageOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD602061219B68950024D9C5 /* MBIMSendMessageOperation.m */; };
		CD83E156219BE10A00F4CCEA /* hooking.m in Sources */ = {isa = PBXBuildFile; fileRef = CD83E155219BE10A00F4CCEA /* hooking.m */; };
		CD83E166219BE91600F4CCEA /* agentHook.m in Sources */ = {isa = PBXBuildFile; fileRef = CD83E165219BE91600F4CCEA /* agentHook.m */; };
		CD936A32289B353F0093A1AC /* MBIMErrorResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = CD936A31289B353F0093A1AC /* MBIMErrorResponse.m */; };
		CD936A35289B47D60093A1AC /* MBIMVersionOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD936A34289B47D50093A1AC /* MBIMVersionOperation.m */; };
		CD936A39289B49FC0093A1AC /* MBIMStatusOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CD936A38289B49FC0093A1AC /* MBIMStatusOperation.m */; };
		CDA64B472DFCBF3000E9B07E /* MBIMPingPongWebSocket.m in Sources */ = {isa = PBXBuildFile; fileRef = CDA64B462DFCBF3000E9B07E /* MBIMPingPongWebSocket.m */; };
		CDDCF78D283F398C0087ABDF /* MBIMDeleteConversationOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CDDCF78C283F398C0087ABDF /* MBIMDeleteConversationOperation.m */; };
		CDE4556421A3578A0041F5DD /* IMChat+Encoded.m in Sources */ = {isa = PBXBuildFile; fileRef = CDE4556321A3578A0041F5DD /* IMChat+Encoded.m */; };
		CDE455A121A365AD0041F5DD /* MBIMMarkOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CDE455A021A365AD0041F5DD /* MBIMMarkOperation.m */; };
		CDE455A421A5308D0041F5DD /* MBIMFetchAttachmentOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CDE455A321A5308D0041F5DD /* MBIMFetchAttachmentOperation.m */; };
		CDE455A721A531ED0041F5DD /* MBIMDataResponse.m in Sources */ = {isa = PBXBuildFile; fileRef = CDE455A621A531ED0041F5DD /* MBIMDataResponse.m */; };
		CDEFF9FE2CACC7A700063C52 /* MBIMResolveHandleOperation.m in Sources */ = {isa = PBXBuildFile; fileRef = CDEFF9FD2CACC7A700063C52 /* MBIMResolveHandleOperation.m */; };
		CDF62335219A895D00690038 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = CDF62334219A895D00690038 /* main.m */; };
		CDF62339219A8A5600690038 /* MBIMBridge.h in Sources */ = {isa = PBXBuildFile; fileRef = 1A0C4469219A4BC300F2AC00 /* MBIMBridge.h */; };
		CDF6233A219A8A5600690038 /* MBIMBridge.m in Sources */ = {isa = PBXBuildFile; fileRef = 1A0C446A219A4BC300F2AC00 /* MBIMBridge.m */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		1ACFCFDD219EB30E00E2C237 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 1A0C443F219A38E100F2AC00 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 1ACFCDE1219EB28A00E2C237;
			remoteInfo = CocoaHTTPServer;
		};
		CD83E16A219BE9AB00F4CCEA /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 1A0C443F219A38E100F2AC00 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = CD83E160219BE91500F4CCEA;
			remoteInfo = agentHook;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		1AAB32B321F837AF004A2A72 /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 7;
			files = (
				1AAB32B421F837BB004A2A72 /* hookAgent.sh in CopyFiles */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CDF62330219A895D00690038 /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = /usr/share/man/man1/;
			dstSubfolderSpec = 0;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		1A0C4469219A4BC300F2AC00 /* MBIMBridge.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMBridge.h; sourceTree = "<group>"; };
		1A0C446A219A4BC300F2AC00 /* MBIMBridge.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMBridge.m; sourceTree = "<group>"; };
		1A257CB023A8570100A4A2C8 /* IMCore_ClassDump.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = IMCore_ClassDump.h; sourceTree = "<group>"; };
		1A257CB123A857DF00A4A2C8 /* IMSharedUtilities_ClassDump.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = IMSharedUtilities_ClassDump.h; sourceTree = "<group>"; };
		1A257CB223A85DF200A4A2C8 /* IMFoundation_ClassDump.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = IMFoundation_ClassDump.h; sourceTree = "<group>"; };
		1A257CC823A867EF00A4A2C8 /* IMCore.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = IMCore.framework; path = System/Library/PrivateFrameworks/IMCore.framework; sourceTree = SDKROOT; };
		1A257CCA23A8681200A4A2C8 /* Security.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Security.framework; path = System/Library/Frameworks/Security.framework; sourceTree = SDKROOT; };
		1A33B43E219A5BD80034485A /* README.md */ = {isa = PBXFileReference; lastKnownFileType = net.daringfireball.markdown; path = README.md; sourceTree = "<group>"; };
		1AA43E8D219EBB2D00EDF1A7 /* MBIMJSONDataResponse.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMJSONDataResponse.h; sourceTree = "<group>"; };
		1AA43E8E219EBB2D00EDF1A7 /* MBIMJSONDataResponse.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMJSONDataResponse.m; sourceTree = "<group>"; };
		1AA43E93219EC38E00EDF1A7 /* MBIMHTTPUtilities.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMHTTPUtilities.h; sourceTree = "<group>"; };
		1AA43E94219EC38E00EDF1A7 /* MBIMHTTPUtilities.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMHTTPUtilities.m; sourceTree = "<group>"; };
		1AAB32AC21F8212E004A2A72 /* MBIMBridge_Private.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMBridge_Private.h; sourceTree = "<group>"; };
		1AAB32AF21F82EB7004A2A72 /* MBIMLogging.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMLogging.h; sourceTree = "<group>"; };
		1AAB32B021F82EB7004A2A72 /* MBIMLogging.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMLogging.m; sourceTree = "<group>"; };
		1AAB32B221F835BD004A2A72 /* KPServer.pch */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = KPServer.pch; sourceTree = "<group>"; };
		1ACFCDE2219EB28A00E2C237 /* libCocoaHTTPServer.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libCocoaHTTPServer.a; sourceTree = BUILT_PRODUCTS_DIR; };
		1ACFCDFC219EB2AB00E2C237 /* LICENSE.txt */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = LICENSE.txt; sourceTree = "<group>"; };
		1ACFCDFE219EB2AB00E2C237 /* README.markdown */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = net.daringfireball.markdown; path = README.markdown; sourceTree = "<group>"; };
		1ACFCE00219EB2AB00E2C237 /* HTTPConnection.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPConnection.h; sourceTree = "<group>"; };
		1ACFCE01219EB2AB00E2C237 /* HTTPLogging.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPLogging.h; sourceTree = "<group>"; };
		1ACFCE02219EB2AB00E2C237 /* HTTPMessage.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPMessage.h; sourceTree = "<group>"; };
		1ACFCE03219EB2AB00E2C237 /* WebSocket.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = WebSocket.h; sourceTree = "<group>"; };
		1ACFCE04219EB2AB00E2C237 /* HTTPAuthenticationRequest.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPAuthenticationRequest.h; sourceTree = "<group>"; };
		1ACFCE06219EB2AB00E2C237 /* HTTPAsyncFileResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPAsyncFileResponse.h; sourceTree = "<group>"; };
		1ACFCE07219EB2AB00E2C237 /* HTTPErrorResponse.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPErrorResponse.m; sourceTree = "<group>"; };
		1ACFCE08219EB2AB00E2C237 /* HTTPDataResponse.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPDataResponse.m; sourceTree = "<group>"; };
		1ACFCE09219EB2AB00E2C237 /* HTTPRedirectResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPRedirectResponse.h; sourceTree = "<group>"; };
		1ACFCE0A219EB2AB00E2C237 /* HTTPDynamicFileResponse.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPDynamicFileResponse.m; sourceTree = "<group>"; };
		1ACFCE0B219EB2AB00E2C237 /* HTTPFileResponse.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPFileResponse.m; sourceTree = "<group>"; };
		1ACFCE0C219EB2AB00E2C237 /* HTTPAsyncFileResponse.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPAsyncFileResponse.m; sourceTree = "<group>"; };
		1ACFCE0D219EB2AB00E2C237 /* HTTPRedirectResponse.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPRedirectResponse.m; sourceTree = "<group>"; };
		1ACFCE0E219EB2AB00E2C237 /* HTTPDataResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPDataResponse.h; sourceTree = "<group>"; };
		1ACFCE0F219EB2AB00E2C237 /* HTTPErrorResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPErrorResponse.h; sourceTree = "<group>"; };
		1ACFCE10219EB2AB00E2C237 /* HTTPFileResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPFileResponse.h; sourceTree = "<group>"; };
		1ACFCE11219EB2AB00E2C237 /* HTTPDynamicFileResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPDynamicFileResponse.h; sourceTree = "<group>"; };
		1ACFCE12219EB2AB00E2C237 /* HTTPServer.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPServer.h; sourceTree = "<group>"; };
		1ACFCE13219EB2AB00E2C237 /* HTTPMessage.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPMessage.m; sourceTree = "<group>"; };
		1ACFCE14219EB2AB00E2C237 /* HTTPConnection.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPConnection.m; sourceTree = "<group>"; };
		1ACFCE15219EB2AB00E2C237 /* WebSocket.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = WebSocket.m; sourceTree = "<group>"; };
		1ACFCE16219EB2AB00E2C237 /* HTTPResponse.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HTTPResponse.h; sourceTree = "<group>"; };
		1ACFCE18219EB2AB00E2C237 /* MultipartFormDataParser.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MultipartFormDataParser.h; sourceTree = "<group>"; };
		1ACFCE19219EB2AB00E2C237 /* MultipartMessageHeader.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MultipartMessageHeader.h; sourceTree = "<group>"; };
		1ACFCE1A219EB2AB00E2C237 /* MultipartMessageHeaderField.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MultipartMessageHeaderField.m; sourceTree = "<group>"; };
		1ACFCE1B219EB2AB00E2C237 /* MultipartFormDataParser.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MultipartFormDataParser.m; sourceTree = "<group>"; };
		1ACFCE1C219EB2AB00E2C237 /* MultipartMessageHeader.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = MultipartMessageHeader.m; sourceTree = "<group>"; };
		1ACFCE1D219EB2AB00E2C237 /* MultipartMessageHeaderField.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = MultipartMessageHeaderField.h; sourceTree = "<group>"; };
		1ACFCE1E219EB2AB00E2C237 /* HTTPAuthenticationRequest.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPAuthenticationRequest.m; sourceTree = "<group>"; };
		1ACFCE20219EB2AB00E2C237 /* DDNumber.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDNumber.m; sourceTree = "<group>"; };
		1ACFCE21219EB2AB00E2C237 /* DDData.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDData.m; sourceTree = "<group>"; };
		1ACFCE22219EB2AB00E2C237 /* DDRange.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDRange.h; sourceTree = "<group>"; };
		1ACFCE23219EB2AB00E2C237 /* DDNumber.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDNumber.h; sourceTree = "<group>"; };
		1ACFCE24219EB2AB00E2C237 /* DDRange.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDRange.m; sourceTree = "<group>"; };
		1ACFCE25219EB2AB00E2C237 /* DDData.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDData.h; sourceTree = "<group>"; };
		1ACFCE26219EB2AB00E2C237 /* HTTPServer.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HTTPServer.m; sourceTree = "<group>"; };
		1ACFCF09219EB2AC00E2C237 /* DDTTYLogger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDTTYLogger.m; sourceTree = "<group>"; };
		1ACFCF0A219EB2AC00E2C237 /* DDLog.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDLog.h; sourceTree = "<group>"; };
		1ACFCF0B219EB2AC00E2C237 /* DDAbstractDatabaseLogger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDAbstractDatabaseLogger.h; sourceTree = "<group>"; };
		1ACFCF0C219EB2AC00E2C237 /* DDASLLogger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDASLLogger.m; sourceTree = "<group>"; };
		1ACFCF0D219EB2AC00E2C237 /* DDFileLogger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDFileLogger.h; sourceTree = "<group>"; };
		1ACFCF0F219EB2AC00E2C237 /* ContextFilterLogFormatter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ContextFilterLogFormatter.h; sourceTree = "<group>"; };
		1ACFCF10219EB2AC00E2C237 /* DispatchQueueLogFormatter.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DispatchQueueLogFormatter.h; sourceTree = "<group>"; };
		1ACFCF11219EB2AC00E2C237 /* ContextFilterLogFormatter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ContextFilterLogFormatter.m; sourceTree = "<group>"; };
		1ACFCF12219EB2AC00E2C237 /* DispatchQueueLogFormatter.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DispatchQueueLogFormatter.m; sourceTree = "<group>"; };
		1ACFCF13219EB2AC00E2C237 /* README.txt */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = README.txt; sourceTree = "<group>"; };
		1ACFCF14219EB2AC00E2C237 /* DDLog.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDLog.m; sourceTree = "<group>"; };
		1ACFCF15219EB2AC00E2C237 /* About.txt */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = About.txt; sourceTree = "<group>"; };
		1ACFCF16219EB2AC00E2C237 /* DDTTYLogger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDTTYLogger.h; sourceTree = "<group>"; };
		1ACFCF17219EB2AC00E2C237 /* DDAbstractDatabaseLogger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDAbstractDatabaseLogger.m; sourceTree = "<group>"; };
		1ACFCF18219EB2AC00E2C237 /* DDFileLogger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = DDFileLogger.m; sourceTree = "<group>"; };
		1ACFCF19219EB2AC00E2C237 /* DDASLLogger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = DDASLLogger.h; sourceTree = "<group>"; };
		1ACFCF1B219EB2AC00E2C237 /* GCDAsyncSocket.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = GCDAsyncSocket.m; sourceTree = "<group>"; };
		1ACFCF1C219EB2AC00E2C237 /* About.txt */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = About.txt; sourceTree = "<group>"; };
		1ACFCF1D219EB2AC00E2C237 /* GCDAsyncSocket.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = GCDAsyncSocket.h; sourceTree = "<group>"; };
		1ACFCFE2219EB45300E2C237 /* MBIMHTTPConnection.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMHTTPConnection.h; sourceTree = "<group>"; };
		1ACFCFE3219EB45300E2C237 /* MBIMHTTPConnection.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMHTTPConnection.m; sourceTree = "<group>"; };
		1AD8936C21EFD986009B599A /* MBIMUploadAttachmentOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMUploadAttachmentOperation.h; sourceTree = "<group>"; };
		1AD8936D21EFD986009B599A /* MBIMUploadAttachmentOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMUploadAttachmentOperation.m; sourceTree = "<group>"; };
		CD14F18B219E2DB400E7DD22 /* Tests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = Tests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		CD14F18D219E2DB400E7DD22 /* CryptoTests.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = CryptoTests.m; sourceTree = "<group>"; };
		CD14F18F219E2DB400E7DD22 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		CD14F19F219FE7D600E7DD22 /* MBIMUpdatePollOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMUpdatePollOperation.h; sourceTree = "<group>"; };
		CD14F1A0219FE7D600E7DD22 /* MBIMUpdatePollOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMUpdatePollOperation.m; sourceTree = "<group>"; };
		CD14F1A2219FF22700E7DD22 /* IMMessageItem+Encoded.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "IMMessageItem+Encoded.h"; sourceTree = "<group>"; };
		CD14F1A3219FF22700E7DD22 /* IMMessageItem+Encoded.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "IMMessageItem+Encoded.m"; sourceTree = "<group>"; };
		CD14F1A8219FF3B800E7DD22 /* MBIMUpdateQueue.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMUpdateQueue.h; sourceTree = "<group>"; };
		CD14F1A9219FF3B800E7DD22 /* MBIMUpdateQueue.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMUpdateQueue.m; sourceTree = "<group>"; };
		CD14F1AB219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMConcurrentHTTPServer.h; sourceTree = "<group>"; };
		CD14F1AC219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMConcurrentHTTPServer.m; sourceTree = "<group>"; };
		CD2782BB29527FE500C0C030 /* IMSharedUtilities.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = IMSharedUtilities.framework; path = Platforms/MacOSX.platform/Developer/SDKs/MacOSX14.0.Internal.sdk/System/Library/PrivateFrameworks/IMSharedUtilities.framework; sourceTree = DEVELOPER_DIR; };
		CD2782BD2952832B00C0C030 /* MBIMImageUtils.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMImageUtils.h; sourceTree = "<group>"; };
		CD2782BE2952832B00C0C030 /* MBIMImageUtils.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMImageUtils.m; sourceTree = "<group>"; };
		CD2782FD2952875F00C0C030 /* CoreGraphics.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreGraphics.framework; path = System/Library/Frameworks/CoreGraphics.framework; sourceTree = SDKROOT; };
		CD2782FF2952876700C0C030 /* ImageIO.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = ImageIO.framework; path = System/Library/Frameworks/ImageIO.framework; sourceTree = SDKROOT; };
		CD2ECEC0269539100055E302 /* MBIMAuthenticateOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMAuthenticateOperation.h; sourceTree = "<group>"; };
		CD2ECEC1269539100055E302 /* MBIMAuthenticateOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMAuthenticateOperation.m; sourceTree = "<group>"; };
		CD2ECEC326953F2A0055E302 /* MBIMAuthToken.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMAuthToken.h; sourceTree = "<group>"; };
		CD2ECEC426953F2A0055E302 /* MBIMAuthToken.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMAuthToken.m; sourceTree = "<group>"; };
		CD3F62AF297769F2004305D9 /* MBIMURLUtilities.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMURLUtilities.h; sourceTree = "<group>"; };
		CD3F62B0297769F2004305D9 /* MBIMURLUtilities.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMURLUtilities.m; sourceTree = "<group>"; };
		CD602054219B5DFD0024D9C5 /* MBIMBridgeOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMBridgeOperation.h; sourceTree = "<group>"; };
		CD602055219B5DFD0024D9C5 /* MBIMBridgeOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMBridgeOperation.m; sourceTree = "<group>"; };
		CD60205A219B623F0024D9C5 /* MBIMMessagesListOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMMessagesListOperation.h; sourceTree = "<group>"; };
		CD60205B219B623F0024D9C5 /* MBIMMessagesListOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMMessagesListOperation.m; sourceTree = "<group>"; };
		CD60205D219B674B0024D9C5 /* MBIMConversationListOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMConversationListOperation.h; sourceTree = "<group>"; };
		CD60205E219B674B0024D9C5 /* MBIMConversationListOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMConversationListOperation.m; sourceTree = "<group>"; };
		CD602060219B68950024D9C5 /* MBIMSendMessageOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMSendMessageOperation.h; sourceTree = "<group>"; };
		CD602061219B68950024D9C5 /* MBIMSendMessageOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMSendMessageOperation.m; sourceTree = "<group>"; };
		CD83E154219BDBA200F4CCEA /* hooking.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = hooking.h; sourceTree = "<group>"; };
		CD83E155219BE10A00F4CCEA /* hooking.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = hooking.m; sourceTree = "<group>"; };
		CD83E161219BE91500F4CCEA /* libagentHook.dylib */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.dylib"; includeInIndex = 0; path = libagentHook.dylib; sourceTree = BUILT_PRODUCTS_DIR; };
		CD83E165219BE91600F4CCEA /* agentHook.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = agentHook.m; sourceTree = "<group>"; };
		CD83E1B5219BF78E00F4CCEA /* hookAgent.sh */ = {isa = PBXFileReference; lastKnownFileType = text.script.sh; path = hookAgent.sh; sourceTree = "<group>"; };
		CD936A2F289B31740093A1AC /* kordophoned-RestrictedEntitlements.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = "kordophoned-RestrictedEntitlements.plist"; sourceTree = "<group>"; };
		CD936A30289B353F0093A1AC /* MBIMErrorResponse.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMErrorResponse.h; sourceTree = "<group>"; };
		CD936A31289B353F0093A1AC /* MBIMErrorResponse.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMErrorResponse.m; sourceTree = "<group>"; };
		CD936A33289B47D50093A1AC /* MBIMVersionOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMVersionOperation.h; sourceTree = "<group>"; };
		CD936A34289B47D50093A1AC /* MBIMVersionOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMVersionOperation.m; sourceTree = "<group>"; };
		CD936A37289B49FC0093A1AC /* MBIMStatusOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMStatusOperation.h; sourceTree = "<group>"; };
		CD936A38289B49FC0093A1AC /* MBIMStatusOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMStatusOperation.m; sourceTree = "<group>"; };
		CDA64B452DFCBF3000E9B07E /* MBIMPingPongWebSocket.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMPingPongWebSocket.h; sourceTree = "<group>"; };
		CDA64B462DFCBF3000E9B07E /* MBIMPingPongWebSocket.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMPingPongWebSocket.m; sourceTree = "<group>"; };
		CDDCF78B283F398C0087ABDF /* MBIMDeleteConversationOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMDeleteConversationOperation.h; sourceTree = "<group>"; };
		CDDCF78C283F398C0087ABDF /* MBIMDeleteConversationOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMDeleteConversationOperation.m; sourceTree = "<group>"; };
		CDE4556221A3578A0041F5DD /* IMChat+Encoded.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "IMChat+Encoded.h"; sourceTree = "<group>"; };
		CDE4556321A3578A0041F5DD /* IMChat+Encoded.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = "IMChat+Encoded.m"; sourceTree = "<group>"; };
		CDE4559F21A365AD0041F5DD /* MBIMMarkOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMMarkOperation.h; sourceTree = "<group>"; };
		CDE455A021A365AD0041F5DD /* MBIMMarkOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMMarkOperation.m; sourceTree = "<group>"; };
		CDE455A221A5308D0041F5DD /* MBIMFetchAttachmentOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMFetchAttachmentOperation.h; sourceTree = "<group>"; };
		CDE455A321A5308D0041F5DD /* MBIMFetchAttachmentOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMFetchAttachmentOperation.m; sourceTree = "<group>"; };
		CDE455A521A531ED0041F5DD /* MBIMDataResponse.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMDataResponse.h; sourceTree = "<group>"; };
		CDE455A621A531ED0041F5DD /* MBIMDataResponse.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMDataResponse.m; sourceTree = "<group>"; };
		CDEFF9FC2CACC7A700063C52 /* MBIMResolveHandleOperation.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MBIMResolveHandleOperation.h; sourceTree = "<group>"; };
		CDEFF9FD2CACC7A700063C52 /* MBIMResolveHandleOperation.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MBIMResolveHandleOperation.m; sourceTree = "<group>"; };
		CDF62332219A895D00690038 /* kordophoned */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = kordophoned; sourceTree = BUILT_PRODUCTS_DIR; };
		CDF62334219A895D00690038 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		1ACFCDDE219EB28A00E2C237 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CD14F188219E2DB400E7DD22 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CD83E15F219BE91500F4CCEA /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CDF6232F219A895D00690038 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				CD2782BC29527FE500C0C030 /* IMSharedUtilities.framework in Frameworks */,
				1A257CCB23A8681200A4A2C8 /* Security.framework in Frameworks */,
				CD2783002952876700C0C030 /* ImageIO.framework in Frameworks */,
				1ACFCFDF219EB31400E2C237 /* libCocoaHTTPServer.a in Frameworks */,
				CD2782FE2952875F00C0C030 /* CoreGraphics.framework in Frameworks */,
				1A257CC923A867EF00A4A2C8 /* IMCore.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		1A0C443E219A38E100F2AC00 = {
			isa = PBXGroup;
			children = (
				1A33B43E219A5BD80034485A /* README.md */,
				CDF62333219A895D00690038 /* kordophone */,
				1A0C445C219A457C00F2AC00 /* Dumped Classes */,
				CD83E162219BE91600F4CCEA /* agentHook */,
				CD14F18C219E2DB400E7DD22 /* Tests */,
				1ACFCDE3219EB28A00E2C237 /* CocoaHTTPServer */,
				1A0C4448219A38E100F2AC00 /* Products */,
				1A0C445E219A45B400F2AC00 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		1A0C4448219A38E100F2AC00 /* Products */ = {
			isa = PBXGroup;
			children = (
				CDF62332219A895D00690038 /* kordophoned */,
				CD83E161219BE91500F4CCEA /* libagentHook.dylib */,
				CD14F18B219E2DB400E7DD22 /* Tests.xctest */,
				1ACFCDE2219EB28A00E2C237 /* libCocoaHTTPServer.a */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		1A0C445C219A457C00F2AC00 /* Dumped Classes */ = {
			isa = PBXGroup;
			children = (
				1A257CB023A8570100A4A2C8 /* IMCore_ClassDump.h */,
				1A257CB223A85DF200A4A2C8 /* IMFoundation_ClassDump.h */,
				1A257CB123A857DF00A4A2C8 /* IMSharedUtilities_ClassDump.h */,
			);
			path = "Dumped Classes";
			sourceTree = "<group>";
		};
		1A0C445E219A45B400F2AC00 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				CD2782FF2952876700C0C030 /* ImageIO.framework */,
				CD2782FD2952875F00C0C030 /* CoreGraphics.framework */,
				CD2782BB29527FE500C0C030 /* IMSharedUtilities.framework */,
				1A257CCA23A8681200A4A2C8 /* Security.framework */,
				1A257CC823A867EF00A4A2C8 /* IMCore.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		1A0C446D219A4BCD00F2AC00 /* Bridge */ = {
			isa = PBXGroup;
			children = (
				CD60204C219B5D710024D9C5 /* Operations */,
				1A0C4469219A4BC300F2AC00 /* MBIMBridge.h */,
				1AAB32AC21F8212E004A2A72 /* MBIMBridge_Private.h */,
				1A0C446A219A4BC300F2AC00 /* MBIMBridge.m */,
				CD2ECEC326953F2A0055E302 /* MBIMAuthToken.h */,
				CD2ECEC426953F2A0055E302 /* MBIMAuthToken.m */,
				CD14F1A8219FF3B800E7DD22 /* MBIMUpdateQueue.h */,
				CD14F1A9219FF3B800E7DD22 /* MBIMUpdateQueue.m */,
				CD14F1AB219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.h */,
				CD14F1AC219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.m */,
				1ACFCFE2219EB45300E2C237 /* MBIMHTTPConnection.h */,
				1ACFCFE3219EB45300E2C237 /* MBIMHTTPConnection.m */,
				CDA64B452DFCBF3000E9B07E /* MBIMPingPongWebSocket.h */,
				CDA64B462DFCBF3000E9B07E /* MBIMPingPongWebSocket.m */,
			);
			path = Bridge;
			sourceTree = "<group>";
		};
		1AA43E90219EBB3400EDF1A7 /* Utilities */ = {
			isa = PBXGroup;
			children = (
				1AA43E8D219EBB2D00EDF1A7 /* MBIMJSONDataResponse.h */,
				1AA43E8E219EBB2D00EDF1A7 /* MBIMJSONDataResponse.m */,
				CDE455A521A531ED0041F5DD /* MBIMDataResponse.h */,
				CDE455A621A531ED0041F5DD /* MBIMDataResponse.m */,
				CD936A30289B353F0093A1AC /* MBIMErrorResponse.h */,
				CD936A31289B353F0093A1AC /* MBIMErrorResponse.m */,
				1AA43E93219EC38E00EDF1A7 /* MBIMHTTPUtilities.h */,
				1AA43E94219EC38E00EDF1A7 /* MBIMHTTPUtilities.m */,
				CD2782BD2952832B00C0C030 /* MBIMImageUtils.h */,
				CD2782BE2952832B00C0C030 /* MBIMImageUtils.m */,
				CD3F62AF297769F2004305D9 /* MBIMURLUtilities.h */,
				CD3F62B0297769F2004305D9 /* MBIMURLUtilities.m */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		1AAB32AE21F82E73004A2A72 /* Utilities */ = {
			isa = PBXGroup;
			children = (
				1AAB32AF21F82EB7004A2A72 /* MBIMLogging.h */,
				1AAB32B021F82EB7004A2A72 /* MBIMLogging.m */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		1ACFCDE3219EB28A00E2C237 /* CocoaHTTPServer */ = {
			isa = PBXGroup;
			children = (
				1ACFCDFF219EB2AB00E2C237 /* Core */,
				1ACFCDFC219EB2AB00E2C237 /* LICENSE.txt */,
				1ACFCDFE219EB2AB00E2C237 /* README.markdown */,
				1ACFCF07219EB2AC00E2C237 /* Vendor */,
			);
			path = CocoaHTTPServer;
			sourceTree = "<group>";
		};
		1ACFCDFF219EB2AB00E2C237 /* Core */ = {
			isa = PBXGroup;
			children = (
				1ACFCE00219EB2AB00E2C237 /* HTTPConnection.h */,
				1ACFCE01219EB2AB00E2C237 /* HTTPLogging.h */,
				1ACFCE02219EB2AB00E2C237 /* HTTPMessage.h */,
				1ACFCE03219EB2AB00E2C237 /* WebSocket.h */,
				1ACFCE04219EB2AB00E2C237 /* HTTPAuthenticationRequest.h */,
				1ACFCE05219EB2AB00E2C237 /* Responses */,
				1ACFCE12219EB2AB00E2C237 /* HTTPServer.h */,
				1ACFCE13219EB2AB00E2C237 /* HTTPMessage.m */,
				1ACFCE14219EB2AB00E2C237 /* HTTPConnection.m */,
				1ACFCE15219EB2AB00E2C237 /* WebSocket.m */,
				1ACFCE16219EB2AB00E2C237 /* HTTPResponse.h */,
				1ACFCE17219EB2AB00E2C237 /* Mime */,
				1ACFCE1E219EB2AB00E2C237 /* HTTPAuthenticationRequest.m */,
				1ACFCE1F219EB2AB00E2C237 /* Categories */,
				1ACFCE26219EB2AB00E2C237 /* HTTPServer.m */,
			);
			path = Core;
			sourceTree = "<group>";
		};
		1ACFCE05219EB2AB00E2C237 /* Responses */ = {
			isa = PBXGroup;
			children = (
				1ACFCE06219EB2AB00E2C237 /* HTTPAsyncFileResponse.h */,
				1ACFCE07219EB2AB00E2C237 /* HTTPErrorResponse.m */,
				1ACFCE08219EB2AB00E2C237 /* HTTPDataResponse.m */,
				1ACFCE09219EB2AB00E2C237 /* HTTPRedirectResponse.h */,
				1ACFCE0A219EB2AB00E2C237 /* HTTPDynamicFileResponse.m */,
				1ACFCE0B219EB2AB00E2C237 /* HTTPFileResponse.m */,
				1ACFCE0C219EB2AB00E2C237 /* HTTPAsyncFileResponse.m */,
				1ACFCE0D219EB2AB00E2C237 /* HTTPRedirectResponse.m */,
				1ACFCE0E219EB2AB00E2C237 /* HTTPDataResponse.h */,
				1ACFCE0F219EB2AB00E2C237 /* HTTPErrorResponse.h */,
				1ACFCE10219EB2AB00E2C237 /* HTTPFileResponse.h */,
				1ACFCE11219EB2AB00E2C237 /* HTTPDynamicFileResponse.h */,
			);
			path = Responses;
			sourceTree = "<group>";
		};
		1ACFCE17219EB2AB00E2C237 /* Mime */ = {
			isa = PBXGroup;
			children = (
				1ACFCE18219EB2AB00E2C237 /* MultipartFormDataParser.h */,
				1ACFCE19219EB2AB00E2C237 /* MultipartMessageHeader.h */,
				1ACFCE1A219EB2AB00E2C237 /* MultipartMessageHeaderField.m */,
				1ACFCE1B219EB2AB00E2C237 /* MultipartFormDataParser.m */,
				1ACFCE1C219EB2AB00E2C237 /* MultipartMessageHeader.m */,
				1ACFCE1D219EB2AB00E2C237 /* MultipartMessageHeaderField.h */,
			);
			path = Mime;
			sourceTree = "<group>";
		};
		1ACFCE1F219EB2AB00E2C237 /* Categories */ = {
			isa = PBXGroup;
			children = (
				1ACFCE20219EB2AB00E2C237 /* DDNumber.m */,
				1ACFCE21219EB2AB00E2C237 /* DDData.m */,
				1ACFCE22219EB2AB00E2C237 /* DDRange.h */,
				1ACFCE23219EB2AB00E2C237 /* DDNumber.h */,
				1ACFCE24219EB2AB00E2C237 /* DDRange.m */,
				1ACFCE25219EB2AB00E2C237 /* DDData.h */,
			);
			path = Categories;
			sourceTree = "<group>";
		};
		1ACFCF07219EB2AC00E2C237 /* Vendor */ = {
			isa = PBXGroup;
			children = (
				1ACFCF08219EB2AC00E2C237 /* CocoaLumberjack */,
				1ACFCF1A219EB2AC00E2C237 /* CocoaAsyncSocket */,
			);
			path = Vendor;
			sourceTree = "<group>";
		};
		1ACFCF08219EB2AC00E2C237 /* CocoaLumberjack */ = {
			isa = PBXGroup;
			children = (
				1ACFCF09219EB2AC00E2C237 /* DDTTYLogger.m */,
				1ACFCF0A219EB2AC00E2C237 /* DDLog.h */,
				1ACFCF0B219EB2AC00E2C237 /* DDAbstractDatabaseLogger.h */,
				1ACFCF0C219EB2AC00E2C237 /* DDASLLogger.m */,
				1ACFCF0D219EB2AC00E2C237 /* DDFileLogger.h */,
				1ACFCF0E219EB2AC00E2C237 /* Extensions */,
				1ACFCF14219EB2AC00E2C237 /* DDLog.m */,
				1ACFCF15219EB2AC00E2C237 /* About.txt */,
				1ACFCF16219EB2AC00E2C237 /* DDTTYLogger.h */,
				1ACFCF17219EB2AC00E2C237 /* DDAbstractDatabaseLogger.m */,
				1ACFCF18219EB2AC00E2C237 /* DDFileLogger.m */,
				1ACFCF19219EB2AC00E2C237 /* DDASLLogger.h */,
			);
			path = CocoaLumberjack;
			sourceTree = "<group>";
		};
		1ACFCF0E219EB2AC00E2C237 /* Extensions */ = {
			isa = PBXGroup;
			children = (
				1ACFCF0F219EB2AC00E2C237 /* ContextFilterLogFormatter.h */,
				1ACFCF10219EB2AC00E2C237 /* DispatchQueueLogFormatter.h */,
				1ACFCF11219EB2AC00E2C237 /* ContextFilterLogFormatter.m */,
				1ACFCF12219EB2AC00E2C237 /* DispatchQueueLogFormatter.m */,
				1ACFCF13219EB2AC00E2C237 /* README.txt */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		1ACFCF1A219EB2AC00E2C237 /* CocoaAsyncSocket */ = {
			isa = PBXGroup;
			children = (
				1ACFCF1B219EB2AC00E2C237 /* GCDAsyncSocket.m */,
				1ACFCF1C219EB2AC00E2C237 /* About.txt */,
				1ACFCF1D219EB2AC00E2C237 /* GCDAsyncSocket.h */,
			);
			path = CocoaAsyncSocket;
			sourceTree = "<group>";
		};
		CD14F18C219E2DB400E7DD22 /* Tests */ = {
			isa = PBXGroup;
			children = (
				CD14F18D219E2DB400E7DD22 /* CryptoTests.m */,
				CD14F18F219E2DB400E7DD22 /* Info.plist */,
			);
			path = Tests;
			sourceTree = "<group>";
		};
		CD14F1A5219FF22B00E7DD22 /* Categories */ = {
			isa = PBXGroup;
			children = (
				CD14F1A2219FF22700E7DD22 /* IMMessageItem+Encoded.h */,
				CD14F1A3219FF22700E7DD22 /* IMMessageItem+Encoded.m */,
				CDE4556221A3578A0041F5DD /* IMChat+Encoded.h */,
				CDE4556321A3578A0041F5DD /* IMChat+Encoded.m */,
			);
			path = Categories;
			sourceTree = "<group>";
		};
		CD60204C219B5D710024D9C5 /* Operations */ = {
			isa = PBXGroup;
			children = (
				1AA43E90219EBB3400EDF1A7 /* Utilities */,
				CD2ECEC0269539100055E302 /* MBIMAuthenticateOperation.h */,
				CD2ECEC1269539100055E302 /* MBIMAuthenticateOperation.m */,
				CD602054219B5DFD0024D9C5 /* MBIMBridgeOperation.h */,
				CD602055219B5DFD0024D9C5 /* MBIMBridgeOperation.m */,
				CD60205D219B674B0024D9C5 /* MBIMConversationListOperation.h */,
				CD60205E219B674B0024D9C5 /* MBIMConversationListOperation.m */,
				CDDCF78B283F398C0087ABDF /* MBIMDeleteConversationOperation.h */,
				CDDCF78C283F398C0087ABDF /* MBIMDeleteConversationOperation.m */,
				CDE455A221A5308D0041F5DD /* MBIMFetchAttachmentOperation.h */,
				CDE455A321A5308D0041F5DD /* MBIMFetchAttachmentOperation.m */,
				CDE4559F21A365AD0041F5DD /* MBIMMarkOperation.h */,
				CDE455A021A365AD0041F5DD /* MBIMMarkOperation.m */,
				CD60205A219B623F0024D9C5 /* MBIMMessagesListOperation.h */,
				CD60205B219B623F0024D9C5 /* MBIMMessagesListOperation.m */,
				CDEFF9FC2CACC7A700063C52 /* MBIMResolveHandleOperation.h */,
				CDEFF9FD2CACC7A700063C52 /* MBIMResolveHandleOperation.m */,
				CD602060219B68950024D9C5 /* MBIMSendMessageOperation.h */,
				CD602061219B68950024D9C5 /* MBIMSendMessageOperation.m */,
				CD936A37289B49FC0093A1AC /* MBIMStatusOperation.h */,
				CD936A38289B49FC0093A1AC /* MBIMStatusOperation.m */,
				CD14F19F219FE7D600E7DD22 /* MBIMUpdatePollOperation.h */,
				CD14F1A0219FE7D600E7DD22 /* MBIMUpdatePollOperation.m */,
				1AD8936C21EFD986009B599A /* MBIMUploadAttachmentOperation.h */,
				1AD8936D21EFD986009B599A /* MBIMUploadAttachmentOperation.m */,
				CD936A33289B47D50093A1AC /* MBIMVersionOperation.h */,
				CD936A34289B47D50093A1AC /* MBIMVersionOperation.m */,
			);
			path = Operations;
			sourceTree = "<group>";
		};
		CD83E150219BDB4F00F4CCEA /* Hooking */ = {
			isa = PBXGroup;
			children = (
				CD83E154219BDBA200F4CCEA /* hooking.h */,
				CD83E155219BE10A00F4CCEA /* hooking.m */,
			);
			path = Hooking;
			sourceTree = "<group>";
		};
		CD83E162219BE91600F4CCEA /* agentHook */ = {
			isa = PBXGroup;
			children = (
				CD83E1B5219BF78E00F4CCEA /* hookAgent.sh */,
				CD83E165219BE91600F4CCEA /* agentHook.m */,
			);
			path = agentHook;
			sourceTree = "<group>";
		};
		CDF62333219A895D00690038 /* kordophone */ = {
			isa = PBXGroup;
			children = (
				1AAB32AE21F82E73004A2A72 /* Utilities */,
				CD14F1A5219FF22B00E7DD22 /* Categories */,
				CD83E150219BDB4F00F4CCEA /* Hooking */,
				1A0C446D219A4BCD00F2AC00 /* Bridge */,
				CDF62334219A895D00690038 /* main.m */,
				1AAB32B221F835BD004A2A72 /* KPServer.pch */,
				CD936A2F289B31740093A1AC /* kordophoned-RestrictedEntitlements.plist */,
			);
			path = kordophone;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXHeadersBuildPhase section */
		CD83E15D219BE91500F4CCEA /* Headers */ = {
			isa = PBXHeadersBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXHeadersBuildPhase section */

/* Begin PBXNativeTarget section */
		1ACFCDE1219EB28A00E2C237 /* CocoaHTTPServer */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 1ACFCDF0219EB28A00E2C237 /* Build configuration list for PBXNativeTarget "CocoaHTTPServer" */;
			buildPhases = (
				1ACFCDDD219EB28A00E2C237 /* Sources */,
				1ACFCDDE219EB28A00E2C237 /* Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = CocoaHTTPServer;
			productName = CocoaHTTPServer;
			productReference = 1ACFCDE2219EB28A00E2C237 /* libCocoaHTTPServer.a */;
			productType = "com.apple.product-type.library.static";
		};
		CD14F18A219E2DB400E7DD22 /* Tests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = CD14F190219E2DB400E7DD22 /* Build configuration list for PBXNativeTarget "Tests" */;
			buildPhases = (
				CD14F187219E2DB400E7DD22 /* Sources */,
				CD14F188219E2DB400E7DD22 /* Frameworks */,
				CD14F189219E2DB400E7DD22 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Tests;
			productName = Tests;
			productReference = CD14F18B219E2DB400E7DD22 /* Tests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		CD83E160219BE91500F4CCEA /* agentHook */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = CD83E167219BE91600F4CCEA /* Build configuration list for PBXNativeTarget "agentHook" */;
			buildPhases = (
				CD83E15D219BE91500F4CCEA /* Headers */,
				CD83E15E219BE91500F4CCEA /* Sources */,
				CD83E15F219BE91500F4CCEA /* Frameworks */,
				1AAB32B321F837AF004A2A72 /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = agentHook;
			productName = agentHook;
			productReference = CD83E161219BE91500F4CCEA /* libagentHook.dylib */;
			productType = "com.apple.product-type.library.dynamic";
		};
		CDF62331219A895D00690038 /* kordophoned */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = CDF62336219A895D00690038 /* Build configuration list for PBXNativeTarget "kordophoned" */;
			buildPhases = (
				CD936A36289B48930093A1AC /* Compile Version String */,
				CDF6232E219A895D00690038 /* Sources */,
				CDF6232F219A895D00690038 /* Frameworks */,
				CDF62330219A895D00690038 /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
				1ACFCFDE219EB30E00E2C237 /* PBXTargetDependency */,
				CD83E16B219BE9AB00F4CCEA /* PBXTargetDependency */,
			);
			name = kordophoned;
			productName = kordophone;
			productReference = CDF62332219A895D00690038 /* kordophoned */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		1A0C443F219A38E100F2AC00 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 1140;
				ORGANIZATIONNAME = "James Magahern";
				TargetAttributes = {
					1ACFCDE1219EB28A00E2C237 = {
						CreatedOnToolsVersion = 9.3;
					};
					CD14F18A219E2DB400E7DD22 = {
						CreatedOnToolsVersion = 11.0;
					};
					CD83E160219BE91500F4CCEA = {
						CreatedOnToolsVersion = 11.0;
					};
					CDF62331219A895D00690038 = {
						CreatedOnToolsVersion = 11.0;
					};
				};
			};
			buildConfigurationList = 1A0C4442219A38E100F2AC00 /* Build configuration list for PBXProject "MessagesBridge" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 1A0C443E219A38E100F2AC00;
			productRefGroup = 1A0C4448219A38E100F2AC00 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				CDF62331219A895D00690038 /* kordophoned */,
				CD83E160219BE91500F4CCEA /* agentHook */,
				CD14F18A219E2DB400E7DD22 /* Tests */,
				1ACFCDE1219EB28A00E2C237 /* CocoaHTTPServer */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		CD14F189219E2DB400E7DD22 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		CD936A36289B48930093A1AC /* Compile Version String */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Compile Version String";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "# Type a script or drag a script file from your workspace to insert its path.\nOUTPUT_FILE=\"$DERIVED_FILE_DIR/MBIMVersion.c\"\nVERSION_STR=`git describe`\n\necho \"const char* MBIMVersion() { return \\\"$VERSION_STR\\\"; }\" > $OUTPUT_FILE\n";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		1ACFCDDD219EB28A00E2C237 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				1ACFCFD1219EB2AC00E2C237 /* ContextFilterLogFormatter.m in Sources */,
				1ACFCF3E219EB2AC00E2C237 /* WebSocket.m in Sources */,
				1ACFCFD4219EB2AC00E2C237 /* DDLog.m in Sources */,
				1ACFCF30219EB2AC00E2C237 /* HTTPErrorResponse.m in Sources */,
				1ACFCFD7219EB2AC00E2C237 /* DDAbstractDatabaseLogger.m in Sources */,
				1ACFCFD2219EB2AC00E2C237 /* DispatchQueueLogFormatter.m in Sources */,
				1ACFCF47219EB2AC00E2C237 /* DDNumber.m in Sources */,
				1ACFCF44219EB2AC00E2C237 /* MultipartMessageHeader.m in Sources */,
				1ACFCF4B219EB2AC00E2C237 /* DDRange.m in Sources */,
				1ACFCF31219EB2AC00E2C237 /* HTTPDataResponse.m in Sources */,
				1ACFCF34219EB2AC00E2C237 /* HTTPFileResponse.m in Sources */,
				1ACFCFCA219EB2AC00E2C237 /* DDTTYLogger.m in Sources */,
				1ACFCF48219EB2AC00E2C237 /* DDData.m in Sources */,
				1ACFCF33219EB2AC00E2C237 /* HTTPDynamicFileResponse.m in Sources */,
				1ACFCF4D219EB2AC00E2C237 /* HTTPServer.m in Sources */,
				1ACFCF42219EB2AC00E2C237 /* MultipartMessageHeaderField.m in Sources */,
				1ACFCF43219EB2AC00E2C237 /* MultipartFormDataParser.m in Sources */,
				1ACFCF3D219EB2AC00E2C237 /* HTTPConnection.m in Sources */,
				1ACFCFDA219EB2AC00E2C237 /* GCDAsyncSocket.m in Sources */,
				1ACFCFCD219EB2AC00E2C237 /* DDASLLogger.m in Sources */,
				1ACFCFD8219EB2AC00E2C237 /* DDFileLogger.m in Sources */,
				1ACFCF36219EB2AC00E2C237 /* HTTPRedirectResponse.m in Sources */,
				1ACFCF3C219EB2AC00E2C237 /* HTTPMessage.m in Sources */,
				1ACFCF46219EB2AC00E2C237 /* HTTPAuthenticationRequest.m in Sources */,
				1ACFCF35219EB2AC00E2C237 /* HTTPAsyncFileResponse.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CD14F187219E2DB400E7DD22 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				CD14F18E219E2DB400E7DD22 /* CryptoTests.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CD83E15E219BE91500F4CCEA /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				CD83E166219BE91600F4CCEA /* agentHook.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		CDF6232E219A895D00690038 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				CDA64B472DFCBF3000E9B07E /* MBIMPingPongWebSocket.m in Sources */,
				CD14F1AD219FFAE100E7DD22 /* MBIMConcurrentHTTPServer.m in Sources */,
				1AA43E91219EBC2C00EDF1A7 /* MBIMHTTPConnection.m in Sources */,
				CDF62339219A8A5600690038 /* MBIMBridge.h in Sources */,
				1AA43E95219EC38E00EDF1A7 /* MBIMHTTPUtilities.m in Sources */,
				CDE455A421A5308D0041F5DD /* MBIMFetchAttachmentOperation.m in Sources */,
				CD2ECEC526953F2A0055E302 /* MBIMAuthToken.m in Sources */,
				CD83E156219BE10A00F4CCEA /* hooking.m in Sources */,
				1AAB32B121F82EB7004A2A72 /* MBIMLogging.m in Sources */,
				CDDCF78D283F398C0087ABDF /* MBIMDeleteConversationOperation.m in Sources */,
				1AD8936E21EFD986009B599A /* MBIMUploadAttachmentOperation.m in Sources */,
				CDF6233A219A8A5600690038 /* MBIMBridge.m in Sources */,
				CDF62335219A895D00690038 /* main.m in Sources */,
				CD60205C219B623F0024D9C5 /* MBIMMessagesListOperation.m in Sources */,
				CD14F1AA219FF3B800E7DD22 /* MBIMUpdateQueue.m in Sources */,
				CD3F62B1297769F2004305D9 /* MBIMURLUtilities.m in Sources */,
				CD14F1A4219FF22700E7DD22 /* IMMessageItem+Encoded.m in Sources */,
				CD602062219B68950024D9C5 /* MBIMSendMessageOperation.m in Sources */,
				CD14F1A1219FE7D600E7DD22 /* MBIMUpdatePollOperation.m in Sources */,
				CD936A39289B49FC0093A1AC /* MBIMStatusOperation.m in Sources */,
				CDEFF9FE2CACC7A700063C52 /* MBIMResolveHandleOperation.m in Sources */,
				CDE455A121A365AD0041F5DD /* MBIMMarkOperation.m in Sources */,
				CDE455A721A531ED0041F5DD /* MBIMDataResponse.m in Sources */,
				CD936A35289B47D60093A1AC /* MBIMVersionOperation.m in Sources */,
				CD602056219B5DFD0024D9C5 /* MBIMBridgeOperation.m in Sources */,
				CD60205F219B674B0024D9C5 /* MBIMConversationListOperation.m in Sources */,
				CDE4556421A3578A0041F5DD /* IMChat+Encoded.m in Sources */,
				CD2782BF2952832B00C0C030 /* MBIMImageUtils.m in Sources */,
				1AA43E8F219EBB2D00EDF1A7 /* MBIMJSONDataResponse.m in Sources */,
				CD936A32289B353F0093A1AC /* MBIMErrorResponse.m in Sources */,
				CD2ECEC2269539100055E302 /* MBIMAuthenticateOperation.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		1ACFCFDE219EB30E00E2C237 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 1ACFCDE1219EB28A00E2C237 /* CocoaHTTPServer */;
			targetProxy = 1ACFCFDD219EB30E00E2C237 /* PBXContainerItemProxy */;
		};
		CD83E16B219BE9AB00F4CCEA /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = CD83E160219BE91500F4CCEA /* agentHook */;
			targetProxy = CD83E16A219BE9AB00F4CCEA /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		1A0C4456219A38E200F2AC00 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = NO;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.14;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
				SYSTEM_FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"\"$(SDKROOT)$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks\"",
				);
			};
			name = Debug;
		};
		1A0C4457219A38E200F2AC00 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = NO;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.14;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = macosx;
				SYSTEM_FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"\"$(SDKROOT)$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks\"",
				);
			};
			name = Release;
		};
		1ACFCDE7219EB28A00E2C237 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = YES;
				COMBINE_HIDPI_IMAGES = YES;
				MTL_ENABLE_DEBUG_INFO = YES;
				PRODUCT_NAME = "$(TARGET_NAME:c99extidentifier)";
				SKIP_INSTALL = YES;
			};
			name = Debug;
		};
		1ACFCDE8219EB28A00E2C237 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = YES;
				COMBINE_HIDPI_IMAGES = YES;
				PRODUCT_NAME = "$(TARGET_NAME:c99extidentifier)";
				SKIP_INSTALL = YES;
			};
			name = Release;
		};
		CD14F191219E2DB400E7DD22 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				INFOPLIST_FILE = Tests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
					"@loader_path/../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = net.buzzert.Tests;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		CD14F192219E2DB400E7DD22 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				COMBINE_HIDPI_IMAGES = YES;
				INFOPLIST_FILE = Tests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
					"@loader_path/../Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = net.buzzert.Tests;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
		CD83E168219BE91600F4CCEA /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				EXECUTABLE_PREFIX = lib;
				OTHER_LDFLAGS = (
					"-undefined",
					dynamic_lookup,
				);
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
			};
			name = Debug;
		};
		CD83E169219BE91600F4CCEA /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				EXECUTABLE_PREFIX = lib;
				OTHER_LDFLAGS = (
					"-undefined",
					dynamic_lookup,
				);
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
			};
			name = Release;
		};
		CDF62337219A895D00690038 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = NO;
				CODE_SIGN_ENTITLEMENTS = "kordophone/kordophoned-RestrictedEntitlements.plist";
				CODE_SIGN_IDENTITY = "-";
				CODE_SIGN_STYLE = Automatic;
				GCC_PREFIX_HEADER = kordophone/KPServer.pch;
				OTHER_LDFLAGS = "-ObjC";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = macosx;
				SYSTEM_FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(SDKROOT)$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks",
				);
			};
			name = Debug;
		};
		CDF62338219A895D00690038 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CLANG_ENABLE_MODULES = NO;
				CODE_SIGN_IDENTITY = "-";
				CODE_SIGN_STYLE = Automatic;
				GCC_PREFIX_HEADER = kordophone/KPServer.pch;
				OTHER_LDFLAGS = "-ObjC";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = macosx;
				SYSTEM_FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"$(SDKROOT)$(SYSTEM_LIBRARY_DIR)/PrivateFrameworks",
				);
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		1A0C4442219A38E100F2AC00 /* Build configuration list for PBXProject "MessagesBridge" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1A0C4456219A38E200F2AC00 /* Debug */,
				1A0C4457219A38E200F2AC00 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		1ACFCDF0219EB28A00E2C237 /* Build configuration list for PBXNativeTarget "CocoaHTTPServer" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				1ACFCDE7219EB28A00E2C237 /* Debug */,
				1ACFCDE8219EB28A00E2C237 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		CD14F190219E2DB400E7DD22 /* Build configuration list for PBXNativeTarget "Tests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				CD14F191219E2DB400E7DD22 /* Debug */,
				CD14F192219E2DB400E7DD22 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		CD83E167219BE91600F4CCEA /* Build configuration list for PBXNativeTarget "agentHook" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				CD83E168219BE91600F4CCEA /* Debug */,
				CD83E169219BE91600F4CCEA /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		CDF62336219A895D00690038 /* Build configuration list for PBXNativeTarget "kordophoned" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				CDF62337219A895D00690038 /* Debug */,
				CDF62338219A895D00690038 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 1A0C443F219A38E100F2AC00 /* Project object */;
}
